%define major 1
%define libname %mklibname langtag %{major}

%define gmajor 0
%define gapi 0.6
%define libgobject %mklibname langtag-gobject %{gmajor}
%define girname %mklibname langtag-gir %{gapi}

%define develname %mklibname -d langtag

Name: liblangtag
Version: 0.6.2
Release: %mkrel 3
Summary: An interface library to access tags for identifying languages
Group: System/Internationalization
License: LGPLv3+ or MPLv2.0
URL: http://tagoh.bitbucket.org/liblangtag/
Source0: https://bitbucket.org/tagoh/%{name}/downloads/%{name}-%{version}.tar.bz2
Patch2: fix-linking.diff

Requires: %{name}-data = %{version}-%{release}

BuildRequires: gtk-doc
BuildRequires: libtool
BuildRequires: pkgconfig(check)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libxml-2.0)

%description
%{name} is an interface library to access tags for identifying
languages.

Features:
* several subtag registry database supports:
  - language
  - extlang
  - script
  - region
  - variant
  - extension
  - grandfathered
  - redundant
* handling of the language tags
  - parser
  - matching
  - canonicalizing

%package -n %{libname}
Summary: Shared libraries for %{name}
Group: System/Internationalization
Conflicts: %{name} < 0.5.1
Requires: %{name} >= %{version}

%description -n %{libname}
%{name} is an interface library to access tags for identifying
languages.

%package data
Summary: %{name} data files
Group: System/Internationalization
License: UCD
BuildArch: noarch
Conflicts: liblangtag < 0.6.2-1

%description data
The %{name}-data package contains data files for %{name}.

%package -n %{libgobject}
Summary: GObject libraries for %{name}
Group: System/Libraries
Obsoletes: liblangtag-gobject < 0.6.2-3

%description -n %{libgobject}
GObject based interface to access tags for identifying languages.

%package -n %{girname}
Summary: GObject Introspection interface description for LangTag
Group: System/Libraries
Requires: %{libgobject} = %{version}-%{release}
Conflicts: liblangtag-gobject < 0.6.2-3

%description -n %{girname}
GObject Introspection interface description for LangTag.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Obsoletes: %{name}-devel < %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: %{libgobject} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.


%prep
%autosetup -p1

%build
%configure2_5x --disable-silent-rules --disable-static --enable-shared --enable-introspection
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

%check
export LD_LIBRARY_PATH=`pwd`/liblangtag/.libs:`pwd`/liblangtag-gobject/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check

%files
%doc AUTHORS NEWS README
%{_libdir}/%{name}/

%files data
%license COPYING
%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libgobject}
%{_libdir}/%{name}-gobject.so.%{gmajor}
%{_libdir}/%{name}-gobject.so.%{gmajor}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/LangTag-%{gapi}.typelib

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/%{name}-gobject.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-gobject.pc
%{_datadir}/gir-1.0/LangTag-%{gapi}.gir

%files doc
%license COPYING
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Sun Oct 09 2016 wally <wally> 0.6.2-3.mga6
+ Revision: 1059732
- fix libification

* Sun Oct 09 2016 akien <akien> 0.6.2-2.mga6
+ Revision: 1059708
- Fix conflict between -data and main package

* Tue Oct 04 2016 luigiwalser <luigiwalser> 0.6.2-1.mga6
+ Revision: 1058674
- 0.6.2
- add noarch data subpackage (from fedora)

* Mon Sep 19 2016 tv <tv> 0.6.0-2.mga6
+ Revision: 1054340
- run testsuite
- enable introspection
- BR pkgconfig(check)
- use %%license
- use %%autosetup

* Mon May 09 2016 luigiwalser <luigiwalser> 0.6.0-1.mga6
+ Revision: 1011467
- 0.6.0
- add patch from fedora to fix compiler error

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.5.8-1.mga6
+ Revision: 917747
- 0.5.8

* Wed Aug 26 2015 tv <tv> 0.5.7-2.mga6
+ Revision: 869854
- rebuild with gcc5

* Tue Jun 30 2015 tv <tv> 0.5.7-1.mga6
+ Revision: 849208
- new release

* Sun Jun 21 2015 tv <tv> 0.5.6-1.mga6
+ Revision: 837880
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.5.4-3.mga5
+ Revision: 747874
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.4-2.mga5
+ Revision: 681569
- Mageia 5 Mass Rebuild

* Thu May 22 2014 luigiwalser <luigiwalser> 0.5.4-1.mga5
+ Revision: 624831
- 0.5.4

* Thu Apr 10 2014 luigiwalser <luigiwalser> 0.5.3-1.mga5
+ Revision: 613153
- 0.5.3

* Sat Oct 19 2013 umeabot <umeabot> 0.5.2-2.mga4
+ Revision: 533838
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 luigiwalser <luigiwalser> 0.5.2-1.mga4
+ Revision: 475624
- 0.5.2

* Sun Aug 18 2013 fwang <fwang> 0.5.1-2.mga4
+ Revision: 467490
- add glib as br
- drop old patches

* Sun Aug 18 2013 fwang <fwang> 0.5.1-1.mga4
+ Revision: 467483
- new version 0.5.1

  + tv <tv>
    - update URL & license

* Sat Jan 12 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 357623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 tv <tv> 0.4.0-1.mga3
+ Revision: 331952
- fix group
- patch 2: fix linking
- fix format litteral errors
- imported package liblangtag


* Mon Dec 17 2012 Thierry Vignaud <tv@mageia.org> 0.4.0-1.mga3
- initial import from FC
